DU(1)

NAME
du - display disk usage statistics

SYNOPSIS
du [-H | -L | -P] [-a | -s] [-x] [file ...]

DESCRIPTION
The du utility displays the file system block usage for each file argument and for each directory in the file hierarchy rooted in each directory argument. If no file is specified, the block usage of the hierarchy rooted in the current directory is displayed. The number of blocks are in the same units as that returned by the stat(2) system call, i.e. 512-byte blocks. Partial numbers of blocks are rounded up.

The options are as follows:

-H  Symbolic links on the command line are followed. (Symbolic links encountered in the tree traversal are not followed.)

-L  All symbolic links are followed.

-P  No symbolic links are followed.

-a  Display an entry for each file in the file hierarchy.

-k  Report in 1024-byte (1-Kbyte) blocks rather than the default. Note that this overrides the BLOCKSIZE setting from the environment.

-s  Display only the grand total for the specified files.

-x  Filesystem mount points are not traversed.

Du counts the storage used by symbolic links and not the files they reference unless the -H or -L option is specified. If either the -H or -L options are specified, storage used by any symbolic links which are followed is not counted or displayed. The -H, -L and -P options override each other and the command's actions are determined by the last one specified.

Files having multiple hard links are counted (and displayed) a single time per du execution.

ENVIRONMENTAL VARIABLES

BLOCKSIZE
    If the environmental variable BLOCKSIZE is set, the block counts will be displayed in units of that size block.

SEE ALSO
df(1), fts(3), symlink(7), quot(8)

HISTORY
A du command appeared in AT&T UNIX.